Show merchant settings
curl --request GET \
--url https://api.creditor.younegotiate.com/merchant-settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.creditor.younegotiate.com/merchant-settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.creditor.younegotiate.com/merchant-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"is_tilled_rejected": true,
"merchants": [
{
"id": 123,
"company_id": 123,
"subclient_id": 123,
"authorize_login_id": "<string>",
"authorize_transaction_key": "<string>",
"stripe_secret_key": "<string>",
"usaepay_key": "<string>",
"usaepay_pin": "<string>",
"verified_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"options": {
"merchant_names": [],
"merchant_types": []
}
}
}{
"message": "<string>"
}{
"message": "An active membership is required."
}Show merchant settings
Return connected existing merchant processor credentials, the Tilled rejection flag used to display the Request New Integration card, and available merchant setting options for the creditor company.
GET
/
merchant-settings
Show merchant settings
Last modified on July 20, 2026
Was this page helpful?
⌘I

